Issue #1960 has been updated by Yutaka Kanemoto.

File conf.diff added

It seemed that 1.8.6p383 need to back port r15777 and r15779.
At least, I was able to install rubygems by using attached patch.
This issue did not occur on ruby_1_8.

% gem env
RubyGems Environment:
  - RUBYGEMS VERSION: 1.3.5
  - RUBY VERSION: 1.8.6 (2009-08-04 patchlevel 383) [powerpc-aix5.3.0.0]
  - INSTALLATION DIRECTORY: /somewhere/nanika/lib/ruby/gems/1.8
  - RUBY EXECUTABLE: /somewhere/nanika/bin/ruby
  - EXECUTABLE DIRECTORY: /somewhere/nanika/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - powerpc-aix-5
  - GEM PATHS:
     - /somewhere/nanika/lib/ruby/gems/1.8
     - /somewhere/.gem/ruby/1.8
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
     - :sources => ["http://gems.rubyforge.org"]
  - REMOTE SOURCES:
     - http://gems.rubyforge.org

----------------------------------------
http://redmine.ruby-lang.org/issues/show/1960

----------------------------------------
http://redmine.ruby-lang.org